//default.vert
//内部变量，运行时为绘制顶点的位置,直接访问gl_Vertex与此相同
attribute vec4 a_position;
//内部变量，运行时为渲染纹理的位置(纹理位置类似于anchor那种小数，后面详解)
attribute vec2 a_texCoord;
//该顶点颜色
attribute vec4 a_color;
//varying变量，可在后面的片元shader中访问
varying vec4 v_fragmentColor; 
//varying变量，纹理坐标用于传递a_texCoord
varying vec2 v_texCoord; 
void main() 
{ 
  //gl_Position为顶点的最终位置，与矩阵CC_PMatrix相乘，变换为cocos坐标系,CC_PMatrix Cocos内置矩阵。
  gl_Position = CC_PMatrix * a_position;
  //变量赋值
  v_fragmentColor = a_color; 
  v_texCoord = a_texCoord; 
}